-- Shorthand for languages
local en = Turbine.Language.English;
local fr = Turbine.Language.French;
local de = Turbine.Language.German;
local ru = Turbine.Language.Russian;

local text = {
    HeadingMenu = {
        HideColumn = {
            [en] = "Hide this column";
            [de] = "Diese Spalte verstecken";
            [fr] = "Masquer cette colonne";
            [ru] = "?"
        };
        SortColumn = {
            [en] = "Sort by this column";
            [de] = "Nach dieser Spalte sortieren";
            [fr] = "Classer par cette colonne";
            [ru] = "?"
        };
        ShowColumns = {
            [en] = "Show columns";
            [de] = "Spalten anzeigen";
            [fr] = "Afficher les colonnes";
            [ru] = "?"
        };
        LockColumn = {
            [en] = "Lock (write-protect)";
            [de] = "Sperren (Schreibschutz)";
            [fr] = "Verrouiller (empêcher l'édition)";
            [ru] = "?"
        };
        UnlockColumn = {
            [en] = "Unlock this column (allow writing)";
            [de] = "Diese Spalte entsperren (Schreibschutz aufheben)";
            [fr] = "Déverrouiller cette colonne (autoriser l'édition)";
            [ru] = "?"
        };
    };
};

-- Add translations to the global database (see Thurallor.Common.Utils.Locale.lua)
L:AddText({TableControl = text});
