-- Standard Turbine libraries
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";

local importPath = getfenv(1)._.Name;
local thurallorPath = string.gsub(importPath, "%.Reminders$", "");

-- Thurallor's libraries
local commonPath = thurallorPath .. ".Common";
import (commonPath .. ".Turbine");
import (commonPath .. ".Utils.Locale_3");
import (commonPath .. ".Utils.Color_1");
import (commonPath .. ".Utils.AutoSizing_4");
import (commonPath .. ".Utils.Utils_10");
import (commonPath .. ".UI.Tooltip_1");
import (commonPath .. ".UI.RoundButton_1");
import (commonPath .. ".UI.TrickButton_1");
import (commonPath .. ".UI.Marquee_2");
import (commonPath .. ".UI.EdgeMover_1");
import (commonPath .. ".UI.TableControl_2");
import (commonPath .. ".UI.Tabs_3");
import (commonPath .. ".UI.Resizer");
import (commonPath .. ".UI.DropDown_3");
import (commonPath .. ".UI.RadioButton_2");
import (commonPath .. ".UI.ColorPicker_3");
import (commonPath .. ".UI.Shockwave");
import (commonPath .. ".UI.Cascade_2");

-- Reminders source files
import (importPath .. ".Time");
import (importPath .. ".Locale");
import (importPath .. ".Nudger");
import (importPath .. ".DelayControl");
import (importPath .. ".ConfirmDialog");
import (importPath .. ".ExpireTimeDialog");
import (importPath .. ".ResetTimesControl");
import (importPath .. ".ResetTimesDialog");
import (importPath .. ".QuestRepeatedDialog");
import (importPath .. ".RaidLockDialog");
import (importPath .. ".NotesDialog");
import (importPath .. ".Zoomer");
import (importPath .. ".NotificationDialog");
import (importPath .. ".PostponeTimeDialog");
import (importPath .. ".Event");
import (importPath .. ".ItineraryDialog");
import (importPath .. ".Tab");
import (importPath .. ".Shimmering");
import (importPath .. ".OptionsPanel");
import (importPath .. ".Icon");
import (importPath .. ".Window");
import (importPath .. ".Main");
